<template>
  <div class="dashboard-container">
    <component :is="currentRole" />
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import adminDashboard from "./admin";
import editorDashboard from "./editor";

export default {
  name: "Dashboard",
  components: { adminDashboard, editorDashboard },
  data() {
    return {
      currentRole: "adminDashboard",
    };
  },
  computed: {
    ...mapGetters(["roles"]),
  },
  created() {
    // console.log(this.roles);
    if (this.roles[0] !== 0 && this.roles[0] !== 1) {
      this.currentRole = "editorDashboard";
    }
    // if (!this.roles.includes('root')) {
    //   this.currentRole = 'editorDashboard'
    // }
  },
};
</script>
